Cisco Security Advisory: Apache HTTPd Range Header Denial of Service Vulnerability

2011 年 8 月 30 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2011 年 8 月 30 日) | フィードバック


Advisory ID: cisco-sa-20110830-apache

http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20110830-apache

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.7

Last Updated 2012 January 23 17:49 UTC (GMT)

For Public Release 2011 August 30 1600 UTC (GMT)


要約

Apache HTTPd サーバには、複数の重複するレンジの処理に関するサービス拒否の脆弱性があります。複数のシスコ製品がこの脆弱性の影響を受ける可能性があります。

ネットワーク内のシスコ デバイスに適用可能な対応策は、このアドバイザリの付属ドキュメントである『Cisco Applied Mitigation Bulletin』にて参照できます。
http://tools.cisco.com/security/center/viewAMBAlert.x?alertId=24024

このアドバイザリは次のリンクに掲載されます。 http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20110830-apache

該当製品

シスコはこの脆弱性による問題の発生について、現在製品を評価しています。この問題について最終的な判定が行われた製品のみ、このセキュリティ アドバイザリの「脆弱性が存在する製品」または「脆弱性が存在しない製品」のセクションに記載されます。これら 2 つのセクションのいずれにも記載されていない製品はまだ評価中です。

脆弱性が存在する製品

このセクションは新しい情報が入り次第、更新されます。次の製品はこの脆弱性の影響を受けることが確認されています。

  • Cisco MDS 9000 NX-OS ソフトウェアは、5.x より前のリリースが影響を受けます。Cisco MDS 9000 NX-OS ソフトウェアの 5.x 以降のリリースは影響を受けません。
  • Cisco SAN-OS 3.x.
  • Cisco TelePresence Video Communication Server(Cisco TelePresence VCS)
  • 全ての Cisco CTS TelePresence Systems
  • Cisco Video Surveillance Manager(VSM)
  • Cisco Video Surveillance Operations Manager(VSOM)
  • Management Center for Cisco Security Agent. Cisco Security Agent(クライアント ソフトウェア)は影響を受けません。
  • Cisco Wireless Control System(WCS)
  • Cisco Wide Area Application Services (WAAS) Software
  • Cisco Quad
  • Cisco Network Collector
  • Cisco Mobility Services Engine
  • CiscoWorks Common Services
  • CiscoWorks LAN Management Solution

脆弱性が存在しない製品

次の製品に脆弱性は存在ないことが確認されています。

  • Cisco ASA 5500 シリーズ適応型セキュリティ アプライアンス
  • Cisco Catalyst 6500 シリーズ ASA Services Module
  • Cisco Catalyst 6500 シリーズ Firewall Services Module
  • Cisco Fabric Manager
  • Cisco Identity Services Engine
  • Cisco Intercompany Media Engine
  • Cisco IOS ソフトウェア
  • Cisco IOS XE ソフトウェア
  • Cisco IOS XR ソフトウェア
  • Cisco IP Interoperability and Collaboration System(IPICS)
  • Cisco IPS Software
  • Cisco Unified IP Phone
  • Cisco MDS 9000 NX-OS ソフトウェアの 5.x 以降のリリース(以前のバージョンは影響を受けます)
  • Cisco Nexus 7000 シリーズ(詳細な検証の結果、Nexus 7000 シリーズ スイッチ用の Cisco NX-OS ソフトウェアは、この脆弱性の影響を受けないことが確認されました。)
  • Cisco Nexus 4000 Series
  • Cisco Nexus 3000 Series
  • Cisco Nexus 5000 Series
  • Cisco Nexus 1000v Series
  • Cisco Prime Central
  • Cisco Prime Optical
  • Cisco Prime Performance Manager
  • Cisco Secure Access Control System (ACS)
  • Cisco TelePresence Server
  • Cisco Unified Communications Manager(旧称 Cisco CallManager)
  • Cisco Unity
  • Cisco Unity Connection
  • Cisco Wireless LAN Controller(WLC)
  • Cisco Wireless Location Appliance
  • CiscoWorks Wireless LAN Solution Engine (WLSE)
  • Cisco Prime Network Control System (NCS)
  • Cisco Detector XT DDoS Mitigation Appliance
  • Cisco Guard XT DDoS Mitigation Appliance
  • Cisco Tidal Enterprise Orchestrator

このセクションは新しい情報が入り次第、更新されます。

詳細

Apache HTTPd サーバには、複数の重複するレンジの処理に関するサービス拒否の脆弱性があります。複数のシスコ製品がこの脆弱性の影響を受ける可能性があります。

この脆弱性の影響を受ける可能性のある製品については、次の Cisco Bug ID でトラッキングされています。次の Cisco Bug ID は、製品に脆弱性があることを確認したことではなく、その製品が適切な製品チームによって調査中であることを示します。

Cisco Product

Cisco bug ID

Cisco ACE 4710 Appliance

CSCts35635

Cisco ACE Application Control Engine Module

CSCts35610

Cisco ACE GSS 4400 Series Global Site Selector (GSS)

CSCts33313

Cisco ACE XML Gateway

CSCts33321

Cisco Active Network Abstraction

CSCts33317

Cisco ASA 5500 Series Adaptive Security Appliances

CSCts33180

Cisco CNS Network Registrar

CSCts36064

Cisco Conductor for Videoscape

CSCts32986

Cisco Content Delivery Engine

CSCts36206

Cisco Content Delivery System Internet Streamer

CSCts35643

Cisco Detector XT DDoS Mitigation Appliance

CSCts33211

Cisco Guard XT DDoS Mitigation Appliance

CSCts33210

Cisco Healthpresence

CSCts36069

Cisco Identity Services Engine

CSCts33092

Cisco IP Interoperability and Collaboration System

CSCts33206

Cisco IP Phones

CSCts33264

Cisco IPS Software

CSCts33199

Cisco MDS 9000 SAN Device Management

CSCts33220

Cisco MDS 9000 Series Multilayer Switches

CSCts33294

Cisco NAC Manager

CSCts32965

Cisco NAC Profiler

CSCts33267

Cisco NAC Server

CSCts32976

Cisco NAC Guest Server

CSCts41870

Cisco Network Analysis Module

CSCts33320

Cisco Networking Services (CNS) Software

CSCts33279

Cisco Nexus 5000 Series Switches

CSCts35605

Cisco Nexus 7000 Series Switches

CSCts35665

Cisco OnPlus Network Management and Automation

CSCts33287

Cisco Prime Central

CSCts33004

Cisco Prime Network Control System

CSCts33114

Cisco Prime Performance Manager

CSCts36072

Cisco Quad Collaboration

CSCts36158

Cisco Secure Access Control System

CSCts33196

Cisco Security Manager

CSCts33056

Cisco Service Exchange Framework

CSCts33218

Cisco Signaling Gateway Manager

CSCts33248

Cisco Small Business Network Storage Systems

CSCts33288

Cisco SSC System Manager

CSCts36187

Cisco TelePresence Manager

CSCts33310

Cisco TelePresence Multipoint Switch

CSCts33224

Cisco TelePresence Server

CSCts33230

Cisco CTS 500-32 Telepresence System Series

CSCts35874

All Cisco CTS TelePresence Systems except Cisco CTS 500-32 TelePresence System Series

CSCts33276

Cisco Telepresence System Integrator C Series

CSCts35860

Cisco UCS B-Series Blade Servers

CSCts33291

Cisco Unified Communications Manager

CSCts32992

Cisco Unified Communications System Voice and Unified Communications (VOSS)

CSCts33271

Cisco Unified MeetingPlace

CSCts33169

Cisco Unified Operations Manager

CSCts33273

Cisco Unified Presence Server

CSCts33257

Cisco Unified Service Monitor

CSCts35893

Cisco Unified Service Statistics Manager

CSCts36074

Cisco Unity

CSCts33302

Cisco Unity Connection

CSCts33260

Cisco Video Surveillance Manager

CSCts33173

Cisco Video Surveillance Operations Manager

CSCts33178

Cisco Virtual Network Management

CSCts36207

Cisco Voice Manager (CVM)

CSCts36152

Cisco Wide Area Application Services (WAAS) Software

CSCts33254

Cisco Wireless Control System (WCS)

CSCts33325

Cisco Wireless Control System Navigator

CSCts33052

Cisco Wireless LAN Controllers (WLC)

CSCts33327

CiscoWorks Common Services

CSCts33049

CiscoWorks LAN Management Solution (LMS)

CSCts35837

Cisco Digital Media Suite Products

CSCts33189

Management Center for Cisco Security Agents

CSCts33208

Service Exchange Framework

CSCts36185

Cisco Shared Network Management and Automation

CSCts33476

この脆弱性に対して Common Vulnerabilities and Exposures(CVE)の ID CVE-2011-3192 が割り当てられています。

脆弱性スコア詳細

シスコはこのアドバイザリでの脆弱性に対して Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。このセキュリティ アドバイザリでの CVSS スコアは CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する手助けとなる標準ベースの評価法です。

シスコは基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供しています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、個々のネットワークにおける脆弱性の影響度を導き出すことができます。

シスコは次の URL にて CVSS に関する FAQ を提供しています。

http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

また、シスコは個々のネットワークにおける環境影響度を算出する CVSS 計算ツールを以下の URL にて提供しています。

http://tools.cisco.com/security/center/cvssCalculator.x

Apache HTTPd Range Header Denial of Service Vulnerability

Calculate the environmental score of All Cisco Bug IDs

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 7.8

Exploitability

Remediation Level

Report Confidence

High

Unavailable

Confirmed

影響

この脆弱性の不正利用に成功した場合、該当する製品でメモリおよび CPU の負荷が非常に大きくなる可能性があります。この脆弱性が繰り返し悪用されると、継続的な DoS 状態となる可能性があります。

ソフトウェア バージョンおよび修正

ソフトウェアのアップグレードを検討する際には、 http://www.cisco.com/go/psirt/ および本アドバイザリ以降に公開のアドバイザリも参照して、起こりうる障害と完全なアップグレード ソリューションを判断してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、および現在のハードウェアとソフトウェアの構成が新しいリリースで引き続き適切にサポートされていることの確認を十分に行ってください。情報が不明確な場合は、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

Product

First Fixed Releases

Cisco MDS 9000 NX-OS Software

Releases prior to 5.x are affected. Releases 5.x and later are not affected. Migrate to 5.x or later.

Cisco TelePresence Video Communication Server

X7.0.1

Cisco CTS 500-32 Telepresence System Series

1.8.0

Cisco Video Surveillance Manager (VSM)

No fixed software is available.

Cisco Video Surveillance Operations Manager (VSOM)

No fixed software is available.

Management Center for Cisco Security Agent

5.2(0.312) in the 5.0 Release
6.0(2.151) in the 6.0 Release

Cisco Wireless Control System (WCS)

7.0.220.0

Cisco Quad

2.5(1)

Cisco Network Collector

No fixed software is available.

Cisco Wide Area Application Services (WAAS) Software

4.4.3(a)

このセクションは新しい情報が入り次第、更新されます。

回避策

ネットワーク内のシスコ デバイスに適用可能な対応策は、このアドバイザリの付属ドキュメントである『Cisco Applied Mitigation Bulletin』にて参照できます。
http://tools.cisco.com/security/center/viewAMBAlert.x?alertId=24024

修正済みソフトウェアの入手

シスコはこの脆弱性に対処する無償のソフトウェア アップデートをリリースしました。ソフトウェアの導入を行う前にお客様のメンテナンス プロバイダーにご相談いただくか、ソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境に特有の問題に関してご確認ください。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html に記載のシスコのソフトウェア ライセンスの条項または、Cisco.com Downloads の http://www.cisco.com/public/sw-center/sw-usingswc.shtml に説明のあるその他の条項に従うことに同意したことになります。

ソフトウェアのアップグレードに関し、psirt@cisco.com もしくは security-alert@cisco.com にお問い合わせいただくことはご遠慮ください。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、シスコのワールドワイド Web サイト上の Software Center からアップグレードを入手することができます。 http://www.cisco.com

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、本脆弱性に関する適切な処置について指示と支援を受けてください。

回避策の効果は、使用製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などのお客様の状況に依存します。影響製品が多種多様であるため、回避策を実際に展開する前に、対象とするネットワークで適用する回避策が最適であるか、お客様のサービス プロバイダーやサポート会社にご相談ください。

サービス契約をご利用でないお客様

シスコから直接購入したがシスコのサービス契約をご利用いただいていない場合、また、サードパーティ ベンダーから購入したが修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレードを入手してください。TAC の連絡先は次のとおりです。

  • +1 800 553 2447(北米内からのフリー ダイヤル)
  • +1 408 526 7209(北米以外からの有料通話)
  • 電子メール:tac@cisco.com

無償アップグレードの対象であることをご証明いただくために、製品のシリアル番号と、このお知らせの URL をご用意ください。サービス契約をご利用でないお客様に対する無償アップグレードは、TAC 経由でご要求いただく必要があります。

さまざまな言語向けの各地の電話番号、説明、電子メール アドレスなどの、この他の TAC の連絡先情報については、 http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html を参照してください。

不正利用事例と公式発表

この脆弱性は最初に、次のリンクにある Full Disclosure メーリングリストに報告されました。 http://seclists.org/fulldisclosure/2011/Aug/175/

Apache はこの脆弱性の悪用について確認済みです。シスコでは、シスコ製品に関連するこの脆弱性の不正利用は確認していません。

この脆弱性に対する概念実証コードが入手可能です。

この通知のステータス:INTERIM

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコシステムズはいつでも本ドキュメントの変更や更新を実施する権利を有します。新しい情報が入り次第、このドキュメントは更新される予定です。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。

情報配信

本アドバイザリは、次のシスコのワールドワイド Web サイト上に掲載されます。

http://www.cisco.com/warp/public/707/cisco-sa-20110830-apache.shtml

ワールドワイド Web 以外にも、次の電子メールおよび Usenet ニュースの受信者向けに、この通知のテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで投稿されています。

  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • full-disclosure@lists.grok.org.uk
  • comp.dcom.sys.cisco@newsgate.cisco.com

このアドバイザリに関する今後の更新は、いかなるものもシスコのワールドワイド Web サイトに掲載される予定です。 しかしながら、前述のメーリング リストもしくはニュースグループに対し積極的に配信されるとは限りません。この問題に関心があるお客様は上記 URL にて最新情報をご確認いただくことをお勧めいたします。

更新履歴

Revision 1.7 2012-January-23 Updated the Software Versions and Fixes section.

Revision 1.6

2011-September-13

Updated the Products Confirmed Not Vulnerable section.

Revision 1.5

2011-September-08

Updated Vulnerable Products and Software Versions and Fixes sections.

Revision 1.4

2011-September-06

Updated Vulnerable Products and Software Versions and Fixes sections.

Revision 1.3

2011-September-02

Updated Vulnerable Products and Software Versions and Fixes sections. Added Cisco Network Collector to Vulnerable Products section.

Revision 1.2

2011-September-01

Added Cisco Quad to Vulnerable Products section and revised Software Versions and Fixes section.

Revision 1.1

2011-August-31

Updated Vulnerable Products, Products Confirmed Not Vulnerable, and Details sections with additional information about vulnerable and unaffected products.

Revision 1.0

2011-August-30

Initial public release.

シスコ セキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関する支援、およびシスコからセキュリティ情報を入手するための登録方法について詳しく知るには、シスコ ワールドワイド Web サイトの http://www.cisco.com/en/US/products/products_security_vulnerability_policy.html にアクセスしてください。このページには、シスコのセキュリティ通知に関してメディアが問い合わせる際の指示が掲載されています。すべてのシスコ セキュリティ アドバイザリは http://www.cisco.com/go/psirt/ で確認することができます。